
Foreman - Bug #1661

Dependency problem with f16 / foreman.noarch 0:0.4.2-0.1 

05/30/2012 03:50 PM - Daniele De Lorenzi

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Clean F16 install, 'yum install foreman' it require "rubygem(sqlite3-ruby)" but the package "rubygem-sqlite3" was just installed

manually

[root@linux ~]# rpm -qa | grep rubygem

rubygem-sqlite3-1.3.3-5.fc16.x86_64

rubygem-rake-0.9.2.2-1.fc16.noarch

rubygem-rest-client-1.6.1-2.fc15.noarch

rubygem-mime-types-1.16-3.fc15.noarch

rubygem-json-1.4.6-3.fc15.x86_64

rubygems-1.8.11-3.fc16.1.noarch

[root@linux ~]# yum install foreman

Loaded plugins: langpacks, presto, refresh-packagekit

Resolving Dependencies

--> Running transaction check

---> Package foreman.noarch 0:0.4.2-0.1 will be installed

--> Processing Dependency: rubygem(sqlite3-ruby) for package: foreman-0.4.2-0.1.noarch

--> Finished Dependency Resolution

Error: Package: foreman-0.4.2-0.1.noarch (foreman)

Requires: rubygem(sqlite3-ruby)

You could try using --skip-broken to work around the problem

You could try running: rpm -Va --nofiles --nodigest

This bug is similar to this other http://theforeman.org/issues/928

Related issues:

Has duplicate Foreman - Bug #928: Dependency problem with f15 / foreman.noarc... Resolved 05/22/2011

History

#1 - 05/30/2012 04:06 PM - Ohad Levy

can you try recent rpms from:

http://people.redhat.com/jmontleo/foreman/

and let us know if you have any issues?

#2 - 05/30/2012 04:27 PM - Daniele De Lorenzi

With the recent rpms the installation was completed without any problems! Thank You a lot

#3 - 06/07/2012 04:00 AM - Ohad Levy

- Status changed from New to Resolved
